import React, { type ReactNode, type KeyboardEvent } from 'react';
import { FilterMatchEnum, MenuPositionEnum } from './constants';
import type { OptionData, MenuOption, MultiParams, IconRenderer, FocusedOption, CallbackFn, AriaLiveAttribute, OptionValueCallback } from './types';
import { type DefaultTheme } from 'styled-components';
declare const Select: React.ForwardRefExoticComponent<Readonly<{
    async?: boolean | undefined;
    inputId?: string | undefined;
    pageSize?: number | undefined;
    selectId?: string | undefined;
    isMulti?: boolean | undefined;
    ariaLabel?: string | undefined;
    required?: boolean | undefined;
    loadingMsg?: string | undefined;
    autoFocus?: boolean | undefined;
    isLoading?: boolean | undefined;
    isInvalid?: boolean | undefined;
    inputDelay?: number | undefined;
    themeConfig?: import("./types").PartialDeep<DefaultTheme> | undefined;
    isDisabled?: boolean | undefined;
    placeholder?: string | undefined;
    menuItemSize?: number | undefined;
    isClearable?: boolean | undefined;
    memoOptions?: boolean | undefined;
    lazyLoadMenu?: boolean | undefined;
    options?: any[] | undefined;
    isSearchable?: boolean | undefined;
    menuMaxHeight?: number | undefined;
    loadingNode?: ReactNode;
    ariaLabelledBy?: string | undefined;
    clearIcon?: IconRenderer;
    caretIcon?: IconRenderer;
    openMenuOnClick?: boolean | undefined;
    openMenuOnFocus?: boolean | undefined;
    menuPortalTarget?: Element | undefined;
    menuOverscanCount?: number | undefined;
    tabSelectsOption?: boolean | undefined;
    filterIgnoreCase?: boolean | undefined;
    menuScrollDuration?: number | undefined;
    blurInputOnSelect?: boolean | undefined;
    closeMenuOnSelect?: boolean | undefined;
    isAriaLiveEnabled?: boolean | undefined;
    menuWidth?: string | number | undefined;
    scrollMenuIntoView?: boolean | undefined;
    noOptionsMsg?: string | null | undefined;
    ariaLive?: AriaLiveAttribute | undefined;
    hideSelectedOptions?: boolean | undefined;
    filterIgnoreAccents?: boolean | undefined;
    onMenuOpen?: CallbackFn | undefined;
    onMenuClose?: CallbackFn | undefined;
    backspaceClearsValue?: boolean | undefined;
    menuPosition?: MenuPositionEnum | undefined;
    filterMatchFrom?: FilterMatchEnum | undefined;
    menuItemDirection?: "ltr" | "rtl" | undefined;
    itemKeySelector?: string | number | undefined;
    getOptionLabel?: OptionValueCallback | undefined;
    getOptionValue?: OptionValueCallback | undefined;
    initialValue?: OptionData | OptionData[];
    onInputChange?: ((value?: string) => unknown) | undefined;
    onSearchChange?: ((value?: string) => unknown) | undefined;
    onOptionChange?: ((data: OptionData) => unknown) | undefined;
    onInputBlur?: React.FocusEventHandler<HTMLInputElement> | undefined;
    onInputFocus?: React.FocusEventHandler<HTMLInputElement> | undefined;
    renderOptionLabel?: ((data: OptionData) => ReactNode) | undefined;
    getIsOptionDisabled?: ((data: OptionData) => boolean) | undefined;
    getFilterOptionString?: ((option: MenuOption) => string) | undefined;
    renderMultiOptions?: ((params: MultiParams) => ReactNode) | undefined;
    onKeyDown?: ((e: KeyboardEvent<Element>, input?: string, focusedOption?: FocusedOption) => unknown) | undefined;
}> & React.RefAttributes<Readonly<{
    menuOpen: boolean;
    blur: () => void;
    focus: () => void;
    clearValue: () => void;
    toggleMenu: (state?: boolean | undefined) => void;
    setValue: (option?: any) => void;
}>>>;
export default Select;
