import { type MutableRefObject, type FunctionComponent } from 'react';
import { FixedSizeList } from 'react-window';
import type { MenuOption, RenderLabelCallback } from '../../types';
export type MenuListProps = Readonly<{
    height: number;
    itemSize: number;
    loadingMsg: string;
    isLoading?: boolean;
    memoOptions: boolean;
    overscanCount?: number;
    width: string | number;
    direction?: 'ltr' | 'rtl';
    menuOptions: MenuOption[];
    focusedOptionIndex: number;
    noOptionsMsg: string | null;
    itemKeySelector?: string | number;
    renderOptionLabel: RenderLabelCallback;
    selectOption: (option: MenuOption) => void;
    fixedSizeListRef: MutableRefObject<FixedSizeList | null> | undefined;
}>;
declare const MenuList: FunctionComponent<MenuListProps>;
export default MenuList;
