/**
 * Calculates the top property value for the MenuWrapper element
 * This property is only generated when the position of the menu is above the control
 */
export declare const calculateMenuTop: (menuHeight: number, menuEl: HTMLElement | null, controlEl: HTMLElement | null) => string;
export declare const menuFitsBelowControl: (el: HTMLElement | null) => boolean;
/**
 * Calculate space around the control and menu to determine if an animated
 * scroll can performed to show the menu in full view. Also, execute a callback if defined
 */
export declare const scrollMenuIntoViewOnOpen: (menuEl: HTMLElement | null, menuScrollDuration: number | undefined, scrollMenuIntoView: boolean | undefined, handleOnMenuOpen: (availableSpace?: number) => void) => void;
